# $Revision: 1.17 $, $Date: 2006/12/26 18:36:24 $
%define		_modname	apd
%define		_status		stable
Summary:	%{_modname} - full-featured engine-level profiler/debugger
Summary(pl):	%{_modname} - w peni funkcjonalny profiler/debugger dla PHP
Name:		php-pecl-%{_modname}
Version:	1.0.1
Release:	7
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	470ea75cde09f7504c83441911c86f29
Patch0:		%{name}-cvs.patch
URL:		http://pecl.php.net/package/apd/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_zend_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APD is a full-featured profiler/debugger that is loaded as a
zend_extension. It aims to be an analog of C's gprof or Perl's
Devel::DProf.

In PECL status of this package is: %{_status}.

%description -l pl
APD to w peni funkcjonalny profiler/debugger adowany jako
rozszerzenie Zend. Ma by odpowiednikiem gprof z C lub perlowego
Devel::DProf.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
cd %{_modname}-%{version}
%patch0 -p1

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
zend_extension%{?zend_zts:_ts}=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-apd.spec,v $
Revision 1.17  2006/12/26 18:36:24  adamg
- build_fix.patch replaced with -cvs.patch (contains all the fixes since
  1.0.1 release)
- release 7

Revision 1.16  2006/12/14 23:46:43  glen
- use new php extension related macros

Revision 1.15  2006/12/14 23:46:14  glen
- add missing provides

Revision 1.14  2006/01/03 23:01:01  glen
- php is with zts (fix config); rel 6

Revision 1.13  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.12  2005/10/30 13:29:27  glen
- rel 4

Revision 1.11  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.10  2005/09/13 23:43:13  glen
-  workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.9  2005/09/13 21:21:39  glen
- this is zend extension, so require zend api versions

Revision 1.8  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.5  2004/11/01 10:03:24  adamg
- updated to 1.0.1
- added build_fix.patch (fixes declaration of onStatement)

Revision 1.4  2004/05/30 15:58:33  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.2  2003/10/07 13:24:18  qboosh
- fixed URL, added description from URL

Revision 1.1  2003/09/23 09:29:46  adamg
- initial import
